Bug 972918 - puppet cannot start httpd during horizon <ip>_horizon.pp
puppet cannot start httpd during horizon <ip>_horizon.pp
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Magr
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 15:52 EDT by Jon Stanley
Modified: 2015-06-04 17:52 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-packstack-2014.1.1-0.31.1.dev1266
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-15 09:34:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
horizon.pp log (7.83 KB, text/plain)
2013-07-22 10:11 EDT, Jon Stanley
no flags Details
httpd start failure in nagios (4.94 KB, text/plain)
2014-01-08 09:03 EST, Ihar Hrachyshka
no flags Details

  None (edit)
Description Jon Stanley 2013-06-10 15:52:26 EDT
When installing with packstack, puppet errors out with:

err: /Stage[main]/Apache/Service[httpd]: Failed to call refresh: Could not start Service[httpd]: Execution of '/sbin/service httpd start' returned 1:  at /var/tmp/packstack/bb6a90139c3b44bd96131f8829c98307/modules/apache/manifests/init.pp:36

I'm not sure it exited 1, I can run that command and it exits 0. Re-running packstack and feeding it the answer file that was generated gets past this.
Comment 1 Jon Stanley 2013-06-10 15:53:34 EDT
Note that I can't see anything in the httpd error log about an unsuccessful startup either.
Comment 2 Martin Magr 2013-07-15 06:06:35 EDT
Can you please attach /var/tmp/packstack/[YYYYMMDD]-[hhmmss]-[random]/manifest/[IP]_horizon.pp.log where [YYYYMMDD]-[hhmmss] is a date and time of the run when it failed?
Comment 3 Jon Stanley 2013-07-22 10:11:20 EDT
Created attachment 776926 [details]
horizon.pp log

Sure, here's the horizon.pp.log from another installation that I just did today. Interestingly, the line before says that it changed 'ensure' to 'running' and looking at the system, httpd is indeed running (it wasn't prior to running packstack, it was a fresh OS install)
Comment 4 Ihar Hrachyshka 2014-01-08 09:03:05 EST
I see similar issue when installing icehouse RDO on Fedora 20 via packstack. It fails on 'nagios' in my case, but I guess this is not that relevant. Attaching puppet log.
Comment 5 Ihar Hrachyshka 2014-01-08 09:03:40 EST
Created attachment 847158 [details]
httpd start failure in nagios
Comment 6 Gaël Chamoulaud 2014-12-15 09:34:40 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.